## deja-dup 27.3.1

=== debian/changelog ===
deja-dup (27.3.1-0ubuntu1) saucy; urgency=low

  * New upstream release
    - Fixes unit tests on 32-bit systems

 -- Michael Terry <mterry@ubuntu.com>  Mon, 17 Jun 2013 14:34:41 -0400

deja-dup (27.3-0ubuntu1) saucy; urgency=low

  * New upstream release
    - Supports System Settings panels with GNOME 3.8
  * debian/control:
    - Adjust valac dependency to be >= 0.16

 -- Michael Terry <mterry@ubuntu.com>  Mon, 17 Jun 2013 10:20:09 -0400

deja-dup (26.0-0ubuntu2) saucy; urgency=low

  * Build-depend on valac (>= 0.18) instead of valac-0.18 for easier
    transitions

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 07 Jun 2013 18:06:52 -0400

=== debian/control ===
Source: deja-dup
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jose Carlos Garcia Sogo <jsogo@debian.org>
Homepage: https://launchpad.net/deja-dup
Build-Depends: dbus-x11,
               debhelper (>= 9),
               desktop-file-utils,
               dh-translations,
               intltool (>= 0.40),
               libglib2.0-dev (>= 2.32),
               libgnome-control-center-dev (>= 3.0),
               libgtk-3-dev (>= 3.0),
               libnautilus-extension-dev (>= 3.0),
               libnotify-dev (>= 0.7),
               libpeas-dev,
               libsecret-1-dev,
               libunity-dev (>= 5.0.0),
               pkg-config,
               python3,
               valac (>= 0.16),
               yelp-tools,
XS-Testsuite: autopkgtest
Standards-Version: 3.9.3
Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/deja-dup/ubuntu

Package: deja-dup
Architecture: any
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${shlibs:Depends},
         duplicity (>= 0.6.21),
Recommends: deja-dup-backend-gvfs,
            policykit-1,
Suggests: deja-dup-backend-cloudfiles,
          deja-dup-backend-s3,
          deja-dup-backend-ubuntuone,
Description: Back up your files
 Déjà Dup is a simple backup tool. It hides the complexity of backing up the
 Right Way (encrypted, off-site, and regular) and uses duplicity as the
 backend.
 .
 Features:
  * Support for local, remote, or cloud backup locations, such as Amazon S3,
    Rackspace Cloud Files, and Ubuntu One
  * Securely encrypts and compresses your data
  * Incrementally backs up, letting you restore from any particular backup
  * Schedules regular backups
  * Integrates well into your GNOME desktop

Package: deja-dup-backend-gvfs
Architecture: all
Depends: ${misc:Depends},
         deja-dup,
         gvfs-backends,
Description: Remote server support for Déjà Dup
 Déjà Dup is a simple backup tool. It hides the complexity of backing up the
 Right Way (encrypted, off-site, and regular) and uses duplicity as the
 backend.
 .
 This package adds FTP, SSH, WebDAV, and Windows Shares support to Déjà Dup.

Package: deja-dup-backend-cloudfiles
Architecture: all
Depends: ${misc:Depends},
         deja-dup,
         python-cloudfiles,
Description: Rackspace Cloudfiles support for Déjà Dup
 Déjà Dup is a simple backup tool. It hides the complexity of backing up the
 Right Way (encrypted, off-site, and regular) and uses duplicity as the
 backend.
 .
 This package adds Rackspace Cloudfiles support to Déjà Dup.

Package: deja-dup-backend-s3
Architecture: all
Depends: ${misc:Depends},
         deja-dup,
         python-boto (>= 0.9d),
Description: Amazon S3 support for Déjà Dup
 Déjà Dup is a simple backup tool. It hides the complexity of backing up the
 Right Way (encrypted, off-site, and regular) and uses duplicity as the
 backend.
 .
 This package adds Amazon S3 support to Déjà Dup.

Package: deja-dup-backend-ubuntuone
Architecture: all
Depends: ${misc:Depends},
         deja-dup,
         python-httplib2,
         python-oauthlib,
         ubuntuone-client,
         ubuntuone-control-panel,
Description: Ubuntu One support for Déjà Dup
 Déjà Dup is a simple backup tool. It hides the complexity of backing up the
 Right Way (encrypted, off-site, and regular) and uses duplicity as the
 backend.
 .
 This package adds Ubuntu One support to Déjà Dup.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with translations

override_dh_auto_configure:
	dh_auto_configure -- --with-ccpanel --with-nautilus --with-unity

override_dh_auto_test:
	DEJA_DUP_DEBUG=1 make check

override_dh_makeshlibs:
	dh_makeshlibs -Xlibdeja-dup.so

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

override_dh_install:
	dh_install -Xlibdeja-dup.la -Xlibdeja-dup.a \
	           -Xlibduplicity.la -Xlibduplicity.a \
	           -Xlibcommon.la -Xlibcommon.a \
	           -Xlibwidgets.la -Xlibwidgets.a

override_dh_installchangelogs:
	dh_installchangelogs NEWS

=== debian/tests/control ===
Tests: make-check
Restrictions: build-needed

## deja-dup 30.0

=== CMakeLists.txt ===
# -*- Mode: CMake; indent-tabs-mode: nil; tab-width: 2 -*-
#
# This file is part of Déjà Dup.
# For copyright information, see AUTHORS.
#
# Déjà Dup is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# Déjà Dup is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Déjà Dup.  If not, see <http://www.gnu.org/licenses/>.

project(deja-dup C)
set(SERIES 30)
set(VERSION 30.0)
cmake_minimum_required(VERSION 2.8)
list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
include(DejaDupMacros)

deja_option(ENABLE_CCPANEL "Build gnome-control-center panel" CHECK)
deja_option(ENABLE_NAUTILUS "Build nautilus plugin" CHECK)
deja_option(ENABLE_UNITY "Integrate with Unity" CHECK)
deja_option(ENABLE_UNITY_CCPANEL "Build unity-control-center panel" CHECK)

find_package(PkgConfig 0.24 REQUIRED)
find_package(Vala 0.20 REQUIRED)
deja_find_required_program(MSGFMT msgfmt)
deja_find_required_program(INTLTOOL_MERGE intltool-merge)
deja_check_modules(GLIB REQUIRED glib-2.0>=2.34 gio-2.0 gio-unix-2.0 gmodule-2.0)
deja_check_modules(GTK REQUIRED gtk+-3.0>=3.6)
deja_check_modules(NOTIFY REQUIRED libnotify>=0.7)
deja_check_modules(PEAS REQUIRED libpeas-1.0)
deja_check_modules(SECRET REQUIRED libsecret-1)

deja_enable_option(CCPANEL libgnome-control-center>=3.4)
if(ENABLE_CCPANEL)
  execute_process(COMMAND ${PKG_CONFIG_EXECUTABLE} --variable=extensiondir libgnome-control-center
                  OUTPUT_VARIABLE CCPANEL_EXTENSIONDIR
                  OUTPUT_STRIP_TRAILING_WHITESPACE
                  ERROR_QUIET)
endif()

deja_enable_option(NAUTILUS libnautilus-extension)
if(ENABLE_NAUTILUS)
  execute_process(COMMAND ${PKG_CONFIG_EXECUTABLE} --variable=extensiondir libnautilus-extension
                  OUTPUT_VARIABLE NAUTILUS_EXTENSIONDIR
                  OUTPUT_STRIP_TRAILING_WHITESPACE
                  ERROR_QUIET)
endif()

deja_enable_option(UNITY_CCPANEL libunity-control-center)
if(ENABLE_UNITY_CCPANEL)
  execute_process(COMMAND ${PKG_CONFIG_EXECUTABLE} --variable=extensiondir libunity-control-center
                  OUTPUT_VARIABLE UNITY_CCPANEL_EXTENSIONDIR
                  OUTPUT_STRIP_TRAILING_WHITESPACE
                  ERROR_QUIET)
endif()

# Set up some common configuration values; Vala sees these via config.vapi.
include(GNUInstallDirs)
set(PACKAGE "deja-dup")
set(GETTEXT_PACKAGE "deja-dup")
set(PKG_DATADIR "${CMAKE_INSTALL_FULL_DATADIR}/${PACKAGE}")
set(PKG_LIBDIR "${CMAKE_INSTALL_FULL_LIBDIR}/${PACKAGE}")
set(PKG_LIBEXECDIR "${CMAKE_INSTALL_FULL_LIBEXECDIR}/${PACKAGE}")
set(CMAKE_INSTALL_RPATH "${PKG_LIBDIR}") # internal libraries go here
set(COMMON_CFLAGS "-w")
set(COMMON_CFLAGS "${COMMON_CFLAGS} -DPACKAGE=\\\"${PACKAGE}\\\"")
set(COMMON_CFLAGS "${COMMON_CFLAGS} -DGETTEXT_PACKAGE=\\\"${GETTEXT_PACKAGE}\\\"")
set(COMMON_CFLAGS "${COMMON_CFLAGS} -DVERSION=\\\"${VERSION}\\\"")
set(COMMON_CFLAGS "${COMMON_CFLAGS} -DLOCALE_DIR=\\\"${CMAKE_INSTALL_FULL_LOCALEDIR}\\\"")
set(COMMON_CFLAGS "${COMMON_CFLAGS} -DTHEME_DIR=\\\"${CMAKE_INSTALL_FULL_DATADIR}/icons\\\"")
set(COMMON_CFLAGS "${COMMON_CFLAGS} -DPKG_DATA_DIR=\\\"${PKG_DATADIR}\\\"")
set(COMMON_CFLAGS "${COMMON_CFLAGS} -DPKG_LIBEXEC_DIR=\\\"${PKG_LIBEXECDIR}\\\"")

include(${VALA_USE_FILE})
set(COMMON_VFLAGS --target-glib=2.34)
if(GTK_VERSION VERSION_GREATER "3.10" OR GTK_VERSION VERSION_EQUAL "3.10")
  set(COMMON_VFLAGS ${COMMON_VFLAGS} -D HAVE_GTK_3_10)
endif()

deja_enable_option(UNITY unity>=3.4.2)
if(ENABLE_UNITY)
  set(COMMON_VFLAGS ${COMMON_VFLAGS} -D HAVE_UNITY)
  set(UNITY_PACKAGE "unity")
endif()

include(CTest)
enable_testing()
add_custom_target(autopilot)
add_custom_target(autopilot-system)
add_custom_target(test-system)

set(CPACK_PACKAGE_VERSION "${VERSION}")
set(CPACK_SOURCE_PACKAGE_FILE_NAME "${PACKAGE}-${VERSION}")
set(CPACK_SOURCE_GENERATOR "TBZ2")
SET(CPACK_SOURCE_IGNORE_FILES "/.bzr/;/.bzrignore;/builddir/;/debian/;~$")
include(CPack)

add_subdirectory(data)
add_subdirectory(deja-dup)
add_subdirectory(libdeja)
add_subdirectory(man)
add_subdirectory(po)
add_subdirectory(tests)

=== Makefile ===
# -*- Mode: Makefile; indent-tabs-mode: t; tab-width: 2 -*-
#
# This file is part of Déjà Dup.
# For copyright information, see AUTHORS.
#
# Déjà Dup is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# Déjà Dup is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Déjà Dup.  If not, see <http://www.gnu.org/licenses/>.

all: builddir
	make -C builddir all

%:
	@[ "$@" = "Makefile" ] || make -C builddir $@

builddir:
	@[ -d builddir ] || ( mkdir builddir && cd builddir && cmake .. -DCMAKE_BUILD_TYPE=Debug )

check: all
	CTEST_OUTPUT_ON_FAILURE=1 make -C builddir test

check-system: all
	CTEST_OUTPUT_ON_FAILURE=1 make -C builddir test-system

dist: builddir screenshots
	rm -f builddir/deja-dup-*.tar*
	make -C builddir deja-dup.pot deja-dup-help.pot package_source
	# Need the following until CPack supports an xz generator
	bunzip2 builddir/deja-dup-*.tar.bz2
	xz builddir/deja-dup-*.tar
	gpg --armor --sign --detach-sig builddir/deja-dup-*.tar.xz

clean:
	rm -rf builddir obj-*

deb:
	DEB_BUILD_OPTIONS=nocheck debuild

screenshots: all
	@gsettings set org.gnome.desktop.interface cursor-theme 'Adwaita'
	@gsettings set org.gnome.desktop.interface font-name 'Cantarell 11'
	@gsettings set org.gnome.desktop.interface gtk-theme 'Adwaita'
	@gsettings set org.gnome.desktop.interface icon-theme 'gnome'
	@gsettings set org.gnome.desktop.wm.preferences theme 'Adwaita'
	@sleep 5
	
	@mkdir -p ./builddir/screenshots
	@rm -f ./builddir/screenshots/*
	@./tests/shell "gsettings set org.gnome.DejaDup backend 'file';" \
	               "gsettings set org.gnome.DejaDup.File icon 'drive-removable-media';" \
	               "gsettings set org.gnome.DejaDup.File short-name 'Backup Drive';" \
	               "gsettings set org.gnome.DejaDup.File uuid 'NOPE';" \
	               "gsettings set org.gnome.DejaDup.File type 'volume';" \
	               "gsettings set org.gnome.DejaDup.File path '/NOPE';" \
	               "env HOME=/NOPE deja-dup-preferences" >/dev/null 2>&1 &
	@gnome-screenshot --window --delay 2 --file ./builddir/screenshots/screenshot-1.png
	@killall deja-dup-preferences
	
	@./tests/shell "deja-dup --backup" >/dev/null &
	@gnome-screenshot --window --delay 2 --file ./builddir/screenshots/screenshot-2.png
	@killall deja-dup
	
	@gsettings reset org.gnome.desktop.interface cursor-theme
	@gsettings reset org.gnome.desktop.interface font-name
	@gsettings reset org.gnome.desktop.interface gtk-theme
	@gsettings reset org.gnome.desktop.interface icon-theme
	@gsettings reset org.gnome.desktop.wm.preferences theme

# call like 'make copy-po TD=path-to-translation-dir'
copy-po:
	test -d $(TD)
	cp -a $(TD)/po/*.po po
	for po in $(TD)/deja-dup/help/*.po; do \
		mkdir -p deja-dup/help/$$(basename $$po .po); \
		cp -a $$po deja-dup/help/$$(basename $$po .po)/; \
	done
	bzr add po/*.po
	bzr add deja-dup/help/*/*.po

.PHONY: builddir clean dist all copy-po check check-system screenshots

=== deja-dup/CMakeLists.txt ===
# -*- Mode: CMake; indent-tabs-mode: nil; tab-width: 2 -*-
#
# This file is part of Déjà Dup.
# For copyright information, see AUTHORS.
#
# Déjà Dup is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# Déjà Dup is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Déjà Dup.  If not, see <http://www.gnu.org/licenses/>.

vala_precompile(VALA_C main.vala
                       Assistant.vala
                       AssistantBackup.vala
                       AssistantOperation.vala
                       AssistantRestore.vala
                       AssistantRestoreMissing.vala
                       MountOperationAssistant.vala
                       Prompt.vala
                       StatusIcon.vala
                PACKAGES gio-unix-2.0 gtk+-3.0 libnotify libpeas-1.0 libsecret-1 ${UNITY_PACKAGE}
                CUSTOM_VAPIS ${CMAKE_BINARY_DIR}/libdeja/deja.vapi
                             ${CMAKE_CURRENT_BINARY_DIR}/widgets/widgets.vapi
                             ${CMAKE_SOURCE_DIR}/vapi/config.vapi
                OPTIONS ${COMMON_VFLAGS})
add_executable(deja-dup ${VALA_C})
target_link_libraries(deja-dup deja widgets ${GTK_LDFLAGS} ${NOTIFY_LDFLAGS} ${PEAS_LDFLAGS} ${SECRET_LDFLAGS} ${UNITY_LDFLAGS})
set_target_properties(deja-dup PROPERTIES
                      COMPILE_FLAGS "${GTK_CFLAGS} ${NOTIFY_CFLAGS} ${PEAS_CFLAGS} ${SECRET_CFLAGS} ${UNITY_CFLAGS} ${COMMON_CFLAGS}"
                      INCLUDE_DIRECTORIES "${CMAKE_BINARY_DIR}/libdeja;${CMAKE_CURRENT_BINARY_DIR}/widgets")
install(TARGETS deja-dup DESTINATION bin)

deja_merge_po(desktop deja-dup.desktop "${CMAKE_INSTALL_FULL_DATADIR}/applications")

deja_merge_po(xml deja-dup.appdata.xml "${CMAKE_INSTALL_FULL_DATADIR}/appdata")
find_program(APPDATA_VALIDATE appdata-validate)
if(APPDATA_VALIDATE)
  add_test(validate-deja-dup.appdata.xml appdata-validate --relax "${CMAKE_CURRENT_BINARY_DIR}/deja-dup.appdata.xml")
endif()

install(DIRECTORY ui DESTINATION "${PKG_DATADIR}")

add_subdirectory(help)
add_subdirectory(monitor)
add_subdirectory(nautilus)
add_subdirectory(preferences)
add_subdirectory(tests)
add_subdirectory(widgets)

=== libdeja/CMakeLists.txt ===
# -*- Mode: CMake; indent-tabs-mode: nil; tab-width: 2 -*-
#
# This file is part of Déjà Dup.
# For copyright information, see AUTHORS.
#
# Déjà Dup is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# Déjà Dup is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Déjà Dup.  If not, see <http://www.gnu.org/licenses/>.

vala_precompile(VALA_C AsyncCommand.vala
                       Backend.vala
                       BackendAuto.vala
                       BackendFile.vala
                       BackendRackspace.vala
                       BackendS3.vala
                       BackendU1.vala
                       Checker.vala
                       CommonUtils.vala
                       DirHandling.vala
                       FilteredSettings.vala
                       Network.vala
                       Operation.vala
                       OperationBackup.vala
                       OperationFiles.vala
                       OperationRestore.vala
                       OperationStatus.vala
                       OperationVerify.vala
                       PythonChecker.vala
                       RecursiveDelete.vala
                       RecursiveMove.vala
                       RecursiveOp.vala
                       ToolPlugin.vala
                PACKAGES gio-2.0 gio-unix-2.0 libpeas-1.0 libsecret-1 posix
                CUSTOM_VAPIS ${CMAKE_SOURCE_DIR}/vapi/config.vapi
                             ${CMAKE_SOURCE_DIR}/vapi/secret.vapi
                             ${CMAKE_SOURCE_DIR}/vapi/uriutils.vapi
                OPTIONS ${COMMON_VFLAGS}
                GENERATE_VAPI deja
                GENERATE_HEADER deja)
add_library(deja SHARED ${VALA_C} uriutils.c)
target_link_libraries(deja ${GLIB_LDFLAGS} ${PEAS_LDFLAGS} ${SECRET_LDFLAGS})
set_target_properties(deja PROPERTIES
                      INCLUDE_DIRECTORIES "${CMAKE_CURRENT_SOURCE_DIR}"
                      COMPILE_FLAGS "${GLIB_CFLAGS} ${PEAS_CFLAGS} ${SECRET_CFLAGS} ${COMMON_CFLAGS}")
install(TARGETS deja DESTINATION "${PKG_LIBDIR}")

add_subdirectory(tests)
add_subdirectory(tools)

=== man/CMakeLists.txt ===
# -*- Mode: CMake; indent-tabs-mode: nil; tab-width: 2 -*-
#
# This file is part of Déjà Dup.
# For copyright information, see AUTHORS.
#
# Déjà Dup is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# Déjà Dup is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Déjà Dup.  If not, see <http://www.gnu.org/licenses/>.

file(GLOB POFILES RELATIVE ${CMAKE_SOURCE_DIR}/po ${CMAKE_SOURCE_DIR}/po/*.po)
string(REPLACE ".po" "" LINGUAS "${POFILES}")

add_custom_command(OUTPUT C/deja-dup.1 C/deja-dup-preferences.1
                   COMMAND mkdir -p C
                   COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/help2man -N -i ${CMAKE_CURRENT_SOURCE_DIR}/include.main -L en_US.UTF-8 ${CMAKE_BINARY_DIR}/deja-dup/deja-dup -o C/deja-dup.1
                   COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/help2man -N -i ${CMAKE_CURRENT_SOURCE_DIR}/include.pref -L en_US.UTF-8 ${CMAKE_BINARY_DIR}/deja-dup/preferences/deja-dup-preferences -o C/deja-dup-preferences.1
                   DEPENDS deja-dup deja-dup-preferences)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/C/deja-dup.1 ${CMAKE_CURRENT_BINARY_DIR}/C/deja-dup-preferences.1 DESTINATION "${CMAKE_INSTALL_FULL_DATADIR}/man/man1")
list(APPEND MAN_TARGETS C/deja-dup.1 C/deja-dup-preferences.1)

foreach(LINGUA ${LINGUAS})
  add_custom_command(OUTPUT ${LINGUA}/deja-dup.1 ${LINGUA}/deja-dup-preferences.1
                     COMMAND mkdir -p ${LINGUA} locales/${LINGUA}/LC_MESSAGES
                     COMMAND ln -sf ${CMAKE_BINARY_DIR}/po/${LINGUA}.gmo locales/${LINGUA}/LC_MESSAGES/deja-dup.mo
                     COMMAND env DEJA_DUP_LOCALEDIR=${CMAKE_CURRENT_BINARY_DIR}/locales DEJA_DUP_LANGUAGE=${LINGUA} ${CMAKE_CURRENT_SOURCE_DIR}/help2man -N -i ${CMAKE_CURRENT_SOURCE_DIR}/include.main -L en_US.UTF-8 ${CMAKE_BINARY_DIR}/deja-dup/deja-dup -o ${LINGUA}/deja-dup.1
                     COMMAND env DEJA_DUP_LOCALEDIR=${CMAKE_CURRENT_BINARY_DIR}/locales DEJA_DUP_LANGUAGE=${LINGUA} ${CMAKE_CURRENT_SOURCE_DIR}/help2man -N -i ${CMAKE_CURRENT_SOURCE_DIR}/include.main -L en_US.UTF-8 ${CMAKE_BINARY_DIR}/deja-dup/preferences/deja-dup-preferences -o ${LINGUA}/deja-dup-preferences.1
                     DEPENDS translations deja-dup deja-dup-preferences)

  install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${LINGUA}/deja-dup.1 ${CMAKE_CURRENT_BINARY_DIR}/${LINGUA}/deja-dup-preferences.1 DESTINATION "${CMAKE_INSTALL_FULL_DATADIR}/man/${LINGUA}/man1")

  list(APPEND MAN_TARGETS ${LINGUA}/deja-dup.1 ${LINGUA}/deja-dup-preferences.1)
endforeach ()

add_custom_target(man ALL DEPENDS ${MAN_TARGETS})

=== po/CMakeLists.txt ===
# -*- Mode: CMake; indent-tabs-mode: nil; tab-width: 2 -*-
#
# This file is part of Déjà Dup.
# For copyright information, see AUTHORS.
#
# Déjà Dup is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# Déjà Dup is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Déjà Dup.  If not, see <http://www.gnu.org/licenses/>.

file(GLOB POFILES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.po)
string(REPLACE ".po" "" LINGUAS "${POFILES}")

foreach(LINGUA ${LINGUAS})
  add_custom_command(OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/${LINGUA}.gmo"
                     COMMAND ${MSGFMT} -o ${LINGUA}.gmo "${CMAKE_CURRENT_SOURCE_DIR}/${LINGUA}.po"
                     DEPENDS ${LINGUA}.po)
  install(FILES "${CMAKE_CURRENT_BINARY_DIR}/${LINGUA}.gmo" DESTINATION "${CMAKE_INSTALL_FULL_LOCALEDIR}/${LINGUA}/LC_MESSAGES" RENAME ${GETTEXT_PACKAGE}.mo)
  list(APPEND LINGUA_TARGETS "${CMAKE_CURRENT_BINARY_DIR}/${LINGUA}.gmo")
endforeach()
add_custom_target(translations ALL DEPENDS ${LINGUA_TARGETS})

find_program(INTLTOOL_UPDATE intltool-update)
if(INTLTOOL_UPDATE)
add_custom_target(${GETTEXT_PACKAGE}.pot
                  COMMAND cd ${CMAKE_CURRENT_SOURCE_DIR} && ${INTLTOOL_UPDATE} --pot --gettext-package=${GETTEXT_PACKAGE})
endif()

=== tests/CMakeLists.txt ===
# -*- Mode: CMake; indent-tabs-mode: nil; tab-width: 2 -*-
#
# This file is part of Déjà Dup.
# For copyright information, see AUTHORS.
#
# Déjà Dup is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# Déjà Dup is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Déjà Dup.  If not, see <http://www.gnu.org/licenses/>.

find_program(PEP8 pep8)
if(PEP8)
  add_test(pep8 "${PEP8}" "${CMAKE_SOURCE_DIR}")
endif()

=== deja-dup/help/CMakeLists.txt ===
# -*- Mode: CMake; indent-tabs-mode: nil; tab-width: 2 -*-
#
# This file is part of Déjà Dup.
# For copyright information, see AUTHORS.
#
# Déjà Dup is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# Déjà Dup is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Déjà Dup.  If not, see <http://www.gnu.org/licenses/>.

deja_find_required_program(ITSTOOL itstool)
find_program(XMLLINT xmllint)

file(GLOB C_PAGES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} C/*.page)
file(GLOB POFILES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} */*.po)
string(REGEX REPLACE "(^|;)([^/]+)/[^;]*" "\\2" LINGUAS "${POFILES}")

install(FILES ${C_PAGES} DESTINATION "${CMAKE_INSTALL_FULL_DATADIR}/help/C/${PACKAGE}")
install(DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/C/figures DESTINATION "${CMAKE_INSTALL_FULL_DATADIR}/help/C/${PACKAGE}")

foreach(LINGUA ${LINGUAS})
  string(REPLACE "C/" "${CMAKE_CURRENT_BINARY_DIR}/${LINGUA}/" LINGUA_PAGES "${C_PAGES}")
  add_custom_command(OUTPUT ${LINGUA_PAGES}
                     COMMAND mkdir -p "${CMAKE_CURRENT_BINARY_DIR}/${LINGUA}"
                     COMMAND ${MSGFMT} -o "${CMAKE_CURRENT_BINARY_DIR}/${LINGUA}/${LINGUA}.gmo" ${LINGUA}/${LINGUA}.po
                     COMMAND ${ITSTOOL} -m "${CMAKE_CURRENT_BINARY_DIR}/${LINGUA}/${LINGUA}.gmo" -o "${CMAKE_CURRENT_BINARY_DIR}/${LINGUA}" ${C_PAGES}
                     WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
                     DEPENDS ${LINGUA}/${LINGUA}.po ${C_PAGES})
  if(XMLLINT)
    add_test(validate-help-${LINGUA} ${XMLLINT} --noent --noout ${LINGUA_PAGES})
  endif()
  install(FILES ${LINGUA_PAGES} DESTINATION "${CMAKE_INSTALL_FULL_DATADIR}/help/${LINGUA}/${PACKAGE}")
  list(APPEND LINGUA_TARGETS ${LINGUA_PAGES})
endforeach()
add_custom_target(${PACKAGE}-help ALL DEPENDS ${LINGUA_TARGETS})

add_custom_target(${PACKAGE}-help.pot
                  COMMAND ${ITSTOOL} -o ${PACKAGE}-help.pot ${C_PAGES}
                  WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}")

=== deja-dup/nautilus/CMakeLists.txt ===
# -*- Mode: CMake; indent-tabs-mode: nil; tab-width: 2 -*-
#
# This file is part of Déjà Dup.
# For copyright information, see AUTHORS.
#
# Déjà Dup is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# Déjà Dup is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Déjà Dup.  If not, see <http://www.gnu.org/licenses/>.

if(ENABLE_NAUTILUS)
add_library(deja-dup-nautilus MODULE NautilusExtension.c)
target_link_libraries(deja-dup-nautilus ${GLIB_LDFLAGS} ${NAUTILUS_LDFLAGS})
set_target_properties(deja-dup-nautilus PROPERTIES
                      OUTPUT_NAME deja-dup
                      INCLUDE_DIRECTORIES "${CMAKE_BINARY_DIR}/libdeja"
                      COMPILE_FLAGS "${GLIB_CFLAGS} ${NAUTILUS_CFLAGS} ${COMMON_CFLAGS}")
add_dependencies(deja-dup-nautilus deja) # needs DirHandling.c
install(TARGETS deja-dup-nautilus DESTINATION "${NAUTILUS_EXTENSIONDIR}")
endif()

=== deja-dup/tests/CMakeLists.txt ===
# -*- Mode: CMake; indent-tabs-mode: nil; tab-width: 2 -*-
#
# This file is part of Déjà Dup.
# For copyright information, see AUTHORS.
#
# Déjà Dup is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# Déjà Dup is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Déjà Dup.  If not, see <http://www.gnu.org/licenses/>.

if(ENABLE_CCPANEL)
  set(HAS_CCPANEL "1")
else()
  set(HAS_CCPANEL "0")
endif()
if(ENABLE_UNITY_CCPANEL)
  set(HAS_UNITY_CCPANEL "1")
else()
  set(HAS_UNITY_CCPANEL "0")
endif()

add_custom_target(autopilot-deja-dup
                  COMMAND env HAS_CCPANEL=${HAS_CCPANEL} HAS_UNITY_CCPANEL=${HAS_UNITY_CCPANEL} LANG=C DEJA_DUP_TESTING=1 PYTHONDONTWRITEBYTECODE=1 PYTHONPATH="${CMAKE_CURRENT_SOURCE_DIR}" "${CMAKE_SOURCE_DIR}/tests/shell" autopilot-py3 run deja_dup_autopilot)
add_dependencies(autopilot autopilot-deja-dup)

add_custom_target(autopilot-system-deja-dup
                  COMMAND env HAS_CCPANEL=${HAS_CCPANEL} HAS_UNITY_CCPANEL=${HAS_UNITY_CCPANEL} LANG=C DEJA_DUP_TESTING=1 PYTHONDONTWRITEBYTECODE=1 PYTHONPATH="${CMAKE_CURRENT_SOURCE_DIR}" "${CMAKE_SOURCE_DIR}/tests/shell-system" autopilot-py3 run deja_dup_autopilot)
add_dependencies(autopilot-system autopilot-system-deja-dup)

=== deja-dup/widgets/CMakeLists.txt ===
# -*- Mode: CMake; indent-tabs-mode: nil; tab-width: 2 -*-
#
# This file is part of Déjà Dup.
# For copyright information, see AUTHORS.
#
# Déjà Dup is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# Déjà Dup is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Déjà Dup.  If not, see <http://www.gnu.org/licenses/>.

vala_precompile(VALA_C ConfigBool.vala
                       ConfigChoice.vala
                       ConfigDelete.vala
                       ConfigEntry.vala
                       ConfigFolder.vala
                       ConfigLabel.vala
                       ConfigLabelBackupDate.vala
                       ConfigLabelDescription.vala
                       ConfigLabelLocation.vala
                       ConfigList.vala
                       ConfigLocation.vala
                       ConfigLocationCustom.vala
                       ConfigLocationDAV.vala
                       ConfigLocationFile.vala
                       ConfigLocationFTP.vala
                       ConfigLocationRackspace.vala
                       ConfigLocationS3.vala
                       ConfigLocationSSH.vala
                       ConfigLocationSMB.vala
                       ConfigLocationTable.vala
                       ConfigLocationU1.vala
                       ConfigLocationVolume.vala
                       ConfigPeriod.vala
                       ConfigRelPath.vala
                       ConfigURLPart.vala
                       ConfigURLPartBool.vala
                       ConfigWidget.vala
                       WidgetUtils.vala
                PACKAGES gtk+-3.0 libnotify libpeas-1.0 libsecret-1 ${UNITY_PACKAGE}
                CUSTOM_VAPIS ${CMAKE_BINARY_DIR}/libdeja/deja.vapi
                             ${CMAKE_SOURCE_DIR}/vapi/config.vapi
                             ${CMAKE_SOURCE_DIR}/vapi/uriutils.vapi
                OPTIONS ${COMMON_VFLAGS}
                GENERATE_VAPI widgets
                GENERATE_HEADER widgets)
add_library(widgets SHARED ${VALA_C})
target_link_libraries(widgets deja ${GTK_LDFLAGS} ${NOTIFY_LDFLAGS} ${PEAS_LDFLAGS} ${SECRET_LDFLAGS} ${UNITY_LDFLAGS})
set_target_properties(widgets PROPERTIES
                      INCLUDE_DIRECTORIES "${CMAKE_BINARY_DIR}/libdeja;${CMAKE_SOURCE_DIR}/libdeja"
                      COMPILE_FLAGS "${GTK_CFLAGS} ${NOTIFY_CFLAGS} ${PEAS_CFLAGS} ${SECRET_CFLAGS} ${UNITY_CFLAGS} ${COMMON_CFLAGS}")
install(TARGETS widgets DESTINATION "${PKG_LIBDIR}")

=== libdeja/tests/CMakeLists.txt ===
# -*- Mode: CMake; indent-tabs-mode: nil; tab-width: 2 -*-
#
# This file is part of Déjà Dup.
# For copyright information, see AUTHORS.
#
# Déjà Dup is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# Déjà Dup is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Déjà Dup.  If not, see <http://www.gnu.org/licenses/>.

if(BUILD_TESTING)

vala_precompile(VALA_C runner.vala
                PACKAGES gio-2.0 libpeas-1.0 libsecret-1 posix
                CUSTOM_VAPIS ${CMAKE_BINARY_DIR}/libdeja/deja.vapi
                             ${CMAKE_SOURCE_DIR}/vapi/config.vapi
                OPTIONS ${COMMON_VFLAGS})
add_executable(test-runner ${VALA_C})
target_link_libraries(test-runner deja ${GLIB_LDFLAGS} ${PEAS_LDFLAGS} ${SECRET_LDFLAGS})
set_target_properties(test-runner PROPERTIES
                      COMPILE_FLAGS "${GLIB_CFLAGS} ${PEAS_CFLAGS} ${SECRET_CFLAGS} ${COMMON_CFLAGS}"
                      INCLUDE_DIRECTORIES "${CMAKE_BINARY_DIR}/libdeja")

file(GLOB SCRIPTS RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}/scripts scripts/*.test)
foreach(SCRIPT ${SCRIPTS})
  add_test(${SCRIPT} env top_builddir=${CMAKE_BINARY_DIR} srcdir=${CMAKE_CURRENT_SOURCE_DIR} dbus-launch ./test-runner ${CMAKE_CURRENT_SOURCE_DIR}/scripts/${SCRIPT})
endforeach()

# Now add some dependencies for the special test-system target
foreach(SCRIPT ${SCRIPTS})
  add_custom_target(test-system-${SCRIPT}
                    COMMAND env top_builddir=${CMAKE_BINARY_DIR} srcdir=${CMAKE_CURRENT_SOURCE_DIR} dbus-launch ./test-runner --system ${CMAKE_CURRENT_SOURCE_DIR}/scripts/${SCRIPT})
  set(TEST_SYSTEM_TARGETS ${TEST_SYSTEM_TARGETS} test-system-${SCRIPT})
endforeach()
add_dependencies(test-system test-runner ${TEST_SYSTEM_TARGETS})

endif(BUILD_TESTING)

add_subdirectory(unit)

=== debian/changelog ===
deja-dup (30.0-0ubuntu4) trusty; urgency=medium

  * debian/patches/drop-u1.patch:
    - Update from upstream patches to provide an error message so that
      users know what is happening if they have a previously configured
      Ubuntu One backup.

 -- Michael Terry <mterry@ubuntu.com>  Wed, 02 Apr 2014 22:19:02 -0400

deja-dup (30.0-0ubuntu3) trusty; urgency=medium

  * Drop U1 backend (LP: #1300916)
  * Provide a temporary home for tests to pass.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 02 Apr 2014 15:47:13 +0100

deja-dup (30.0-0ubuntu2) trusty; urgency=medium

  [ Martin Pitt ]
  * Add missing "make" test dependency.

 -- Michael Terry <mterry@ubuntu.com>  Fri, 28 Mar 2014 09:18:16 -0400

deja-dup (30.0-0ubuntu1) trusty; urgency=medium

  * New upstream release
    - Fixes build error with CMake 2.8.12
    - Updates translations
  * debian/patches/rm-full-path.patch: Dropped, included upstream

 -- Michael Terry <mterry@ubuntu.com>  Fri, 28 Mar 2014 09:03:56 -0400

deja-dup (29.5-0ubuntu2) trusty; urgency=medium

  * debian/patches/rm-full-path.patch:
    - Backport patch from trunk; specify full path to /bin/rm because
      one of the tests modifies PATH and a call to 'rm' may fail depending
      on the shell used.  Fixes dep8 test.

 -- Michael Terry <mterry@ubuntu.com>  Thu, 30 Jan 2014 23:21:00 -0500

deja-dup (29.5-0ubuntu1) trusty; urgency=medium

  * New upstream release
    - Re-enables libunity support
    - Requires duplicity 0.6.23

 -- Michael Terry <mterry@ubuntu.com>  Thu, 30 Jan 2014 16:54:22 -0500

deja-dup (29.4-0ubuntu1) trusty; urgency=medium

  * New upstream release
    - Fixes building with latest valac
    - Adds support for unity-control-center

 -- Michael Terry <mterry@ubuntu.com>  Fri, 10 Jan 2014 18:33:58 -0500

deja-dup (29.1-0ubuntu4) trusty; urgency=low

  * debian/rules:
    - Set DEB_HOST_MULTIARCH ourselves, instead of relying on it to be
      set for us.  Allows dep8 test to be built the same way the deb
      file is, fixing dep8 failure.

 -- Michael Terry <mterry@ubuntu.com>  Sat, 16 Nov 2013 08:40:25 -0500

deja-dup (29.1-0ubuntu3) trusty; urgency=low

  * debian/tests/control:
    - Comment out autopilot test completely rather than just calling
      exit 0 in test to disable it.  The dependencies for the test
      are causing a problem in jenkins.  This can be enabled in future
      when upstream gets the tests to work in xvfb.

 -- Michael Terry <mterry@ubuntu.com>  Fri, 08 Nov 2013 02:04:12 -0500

deja-dup (29.1-0ubuntu2) trusty; urgency=low

  * debian/patches/fix-parallel-build.patch:
    - Backport patch from upstream to fix parallel builds

 -- Michael Terry <mterry@ubuntu.com>  Thu, 07 Nov 2013 22:36:36 -0500

deja-dup (29.1-0ubuntu1) trusty; urgency=low

  * New upstream release
    - Update look and feel of preferences
  * debian/control, debian/rules:
    - Bump required versions of GTK+, GLib, and control center
    - Update for new CMake build system

 -- Michael Terry <mterry@ubuntu.com>  Mon, 30 Sep 2013 18:42:43 -0400

=== debian/rules ===
#!/usr/bin/make -f
# -*- Mode: Makefile; indent-tabs-mode: t; tab-width: 2 -*-

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --parallel --with translations --buildsystem cmake

override_dh_auto_configure:
	dh_auto_configure -- -DENABLE_CCPANEL=ON \
	                     -DENABLE_NAUTILUS=ON \
	                     -DENABLE_UNITY=ON \
	                     -DENABLE_UNITY_CCPANEL=ON \
	                     -DCMAKE_INSTALL_LIBEXECDIR="/usr/lib/${DEB_HOST_MULTIARCH}" \
	                     -DCMAKE_INSTALL_SYSCONFDIR="/etc"

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_auto_test:
	rm -rf $(CURDIR)/debian/tmp-home
	mkdir -p $(CURDIR)/debian/tmp-home
	HOME=$(CURDIR)/debian/tmp-home dh_auto_test
	fusermount -u $(CURDIR)/debian/tmp-home/.gvfs || true
	rm -rf $(CURDIR)/debian/tmp-home

override_dh_auto_clean:
	dh_auto_clean
	rm -rf $(CURDIR)/debian/tmp-home

=== debian/tests/control ===
#Tests: autopilot
#Depends: @,
#         autopilot-desktop,
#         cmake,
#         dbus-x11,
#         gnome-control-center,
#         libautopilot-gtk,
#         python-evdev,
#         xvfb,
#Restrictions: build-needed

Tests: check
Depends: @,
         cmake,
         make,
Restrictions: build-needed

## deja-dup 30.0-0ubuntu4+7.0trisquel1

=== debian/changelog ===
deja-dup (30.0-0ubuntu4+7.0trisquel1) belenos; urgency=medium

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 18 May 2014 17:43:54 +0200

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,29 @@
 Source: deja-dup
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 XSBC-Original-Maintainer: Jose Carlos Garcia Sogo <jsogo@debian.org>
 Homepage: https://launchpad.net/deja-dup
-Build-Depends: dbus-x11,
+Build-Depends: cmake,
+               dbus-x11,
                debhelper (>= 9),
                desktop-file-utils,
                dh-translations,
                intltool (>= 0.40),
-               libglib2.0-dev (>= 2.32),
-               libgnome-control-center-dev (>= 3.0),
-               libgtk-3-dev (>= 3.0),
+               itstool,
+               libglib2.0-dev (>= 2.34),
+               libgnome-control-center-dev (>= 3.4),
+               libgtk-3-dev (>= 3.6),
                libnautilus-extension-dev (>= 3.0),
                libnotify-dev (>= 0.7),
                libpeas-dev,
                libsecret-1-dev,
+               libunity-control-center-dev,
                libunity-dev (>= 5.0.0),
+               libxml2-utils,
                pkg-config,
                python3,
                valac (>= 0.16),
-               yelp-tools,
 XS-Testsuite: autopkgtest
 Standards-Version: 3.9.3
 Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/deja-dup/ubuntu
@@ -30,12 +33,12 @@
 Pre-Depends: ${misc:Pre-Depends},
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         duplicity (>= 0.6.21),
+         duplicity (>= 0.6.23),
+         gnome-icon-theme-symbolic,
 Recommends: deja-dup-backend-gvfs,
             policykit-1,
 Suggests: deja-dup-backend-cloudfiles,
           deja-dup-backend-s3,
-          deja-dup-backend-ubuntuone,
 Description: Back up your files
  Déjà Dup is a simple backup tool. It hides the complexity of backing up the
  Right Way (encrypted, off-site, and regular) and uses duplicity as the
@@ -43,7 +46,7 @@
  .
  Features:
   * Support for local, remote, or cloud backup locations, such as Amazon S3,
-    Rackspace Cloud Files, and Ubuntu One
+    and Rackspace Cloud Files
   * Securely encrypts and compresses your data
   * Incrementally backs up, letting you restore from any particular backup
   * Schedules regular backups
@@ -84,18 +87,3 @@
  backend.
  .
  This package adds Amazon S3 support to Déjà Dup.
-
-Package: deja-dup-backend-ubuntuone
-Architecture: all
-Depends: ${misc:Depends},
-         deja-dup,
-         python-httplib2,
-         python-oauthlib,
-         ubuntuone-client,
-         ubuntuone-control-panel,
-Description: Ubuntu One support for Déjà Dup
- Déjà Dup is a simple backup tool. It hides the complexity of backing up the
- Right Way (encrypted, off-site, and regular) and uses duplicity as the
- backend.
- .
- This package adds Ubuntu One support to Déjà Dup.

## deja-dup 32.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -17,8 +17,8 @@
 # along with Déjà Dup.  If not, see <http://www.gnu.org/licenses/>.
 
 project(deja-dup C)
-set(SERIES 30)
-set(VERSION 30.0)
+set(SERIES 32)
+set(VERSION 32.0)
 cmake_minimum_required(VERSION 2.8)
 list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
 include(DejaDupMacros)

=== debian/changelog ===
deja-dup (32.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Bump Standards-Version to 3.9.6 (no further changes)
  * debian/copyright: Fix copyright file, files have been moved around

 -- Laurent Bigonville <bigon@debian.org>  Sun, 12 Oct 2014 10:51:13 +0200

deja-dup (30.0-1) unstable; urgency=medium

  * New upstream release
    - Drop debian/patches/01_CMP0004_OLD.patch: Fixed upstream
  * Add debian/gbp.conf file
  * debian/control.in: Re-add the Vcs-* fields with the new URL's

 -- Laurent Bigonville <bigon@debian.org>  Fri, 11 Apr 2014 22:21:25 +0200

deja-dup (29.5-1) unstable; urgency=low

  * New upstream release (Closes: #667722, #671479)
    - Adjust the {build-}dependencies
    - debian/rules, debian/control: deja-dup is now using cmake
  * Adopt deja-dup by the GNOME team (Closes: #740924)
  * debian/control: Bump Standards-Version to 3.9.5 (no further changes)
  * Add debian/patches/01_CMP0004_OLD.patch: Fix FTBFS due to changes in cmake
  * debian/rules: Drop the override_dh_builddeb target, this is not needed
    anymore
  * Fix the debian/watch URL
  * Bump debhelper compatibility to 9 to get the hardening flags for free
  * debian/rules: Properly exclude nautilus plugin from dh_makeshlibs call
    (Closes: #651279)
  * debian/control: Adjust the recommends, add gvfs-backends and rename
    python-rackspace-cloudfiles to python-cloudfiles (Closes: #669045, #732730)

 -- Laurent Bigonville <bigon@debian.org>  Thu, 06 Mar 2014 22:11:37 +0100

deja-dup (20.2-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "configure:3028: error: xmllint not found":
    change build dependency from itstool to yelp-tools; thanks, Michael Biebl.
    (Closes: #666225)

 -- gregor herrmann <gregoa@debian.org>  Sun, 03 Jun 2012 16:37:10 +0200

deja-dup (20.2-2) unstable; urgency=low

  * ACK previous NMU (Closes: #651257)
  * Delete old unused patch (Closes: #651258)
  * Drop gnome-control-center support as Gnome 3 upstream don't want 3rd
  party applications to be installed there (Closes: #650142)

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Thu, 08 Dec 2011 12:15:32 +0100

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: deja-dup
Section: utils
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jose Carlos Garcia Sogo <jsogo@debian.org>, Laurent Bigonville <bigon@debian.org>, gregor herrmann <gregoa@debian.org>
Homepage: https://launchpad.net/deja-dup
Build-Depends: cmake,
               debhelper (>= 9),
               gnome-pkg-tools,
               intltool (>= 0.40),
               yelp-tools,
               libglib2.0-dev (>= 2.34),
               libgtk-3-dev (>= 3.6),
               libnautilus-extension-dev,
               libnotify-dev (>= 0.7),
               libpeas-dev,
               libsecret-1-dev,
               pkg-config,
               valac (>= 0.20)
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/pkg-gnome/deja-dup.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-gnome/deja-dup.git;a=summary

Package: deja-dup
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         duplicity (>= 0.6.23)
Recommends: gvfs-backends, python-boto (>= 0.9d), python-cloudfiles, ssh-client | openssh-client
Description: Backup utility
 Déjà Dup is a simple backup tool. It hides the complexity of backing up the
 Right Way (encrypted, off-site, and regular) and uses duplicity as the
 backend.
 .
 Features:
  * Support for local, remote, or cloud backup locations, such as Amazon S3
    or Rackspace Cloud Files
  * Securely encrypts and compresses your data
  * Incrementally backs up, letting you restore from any particular backup
  * Schedules regular backups
  * Integrates well into your GNOME desktop

Package: deja-dup-dbg
Architecture: any
Depends: deja-dup (= ${binary:Version}),
         ${misc:Depends}
Section: debug
Priority: extra
Description: Déjà Dup debugging symbols
 Déjà Dup is a simple backup tool. It hides the complexity of backing up the
 Right Way (encrypted, off-site, and regular) and uses duplicity as the
 backend.
 .
 Features:
  * Support for local, remote, or cloud backup locations, such as Amazon S3 or
    Rackspace Cloud Files
  * Securely encrypts and compresses your data
  * Incrementally backs up, letting you restore from any particular backup
  * Schedules regular backups
  * Integrates well into your GNOME desktop
 .
 This package contains gdb debugging symbols for the deja-dup package.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --parallel --buildsystem cmake --with gnome

override_dh_auto_configure:
	dh_auto_configure -- -DENABLE_CCPANEL=OFF \
	                     -DENABLE_NAUTILUS=ON \
	                     -DENABLE_UNITY=OFF \
	                     -DENABLE_UNITY_CCPANEL=OFF \
	                     -DCMAKE_INSTALL_LIBEXECDIR="/usr/lib" \
	                     -DCMAKE_INSTALL_SYSCONFDIR="/etc"

override_dh_makeshlibs:
	dh_makeshlibs --exclude=libdeja-dup.so

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_strip:
	dh_strip --dbg-package=deja-dup-dbg

# Skip check, dconf may cause intermittent crashes
override_dh_auto_test:
